﻿@page
@model MyOdeToFood.ListModel
@{
}

<h1>Restaurants</h1>
<form method="get">
    <div class="form-group">
        <div class="input-group">
            <input type="search" class="form-control" asp-for="SearchTerm" />
            <span class="input-group-prepend">
                <button class="btn btn-outline-secondary">
                    <i class="fas fa-search"></i>
                </button>
            </span>
        </div>
    </div>
</form>
<table class="table">
    @foreach (var restaurant in Model.Restaurants)
    {
        <tr>
            <td>@restaurant.Name</td>
            <td>@restaurant.Location</td>
            <td>@restaurant.Cuisine</td>
            <td>
                <a class="btn btn-lg"
                   asp-page="./Detail"
                   asp-route-restaurantId="@restaurant.Id">
                    <i class="far fa-eye"></i>
                </a>
                <a class="btn btn-lg"
                   asp-page="./Edit"
                   asp-route-restaurantId="@restaurant.Id">
                    <i class="far fa-edit"></i>
                </a>
            </td>
        </tr>
    }
</table>

<a asp-page="./Edit" class="btn btn-primary">Add New</a>

<div>@Model.Message</div>